package jd.intl.asm.afs.domain.enums;

package ..deTemp.1747206156109;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.ResourceBundle;
import jd.intl.asm.afs.domain.enums.AfsServiceStatusEnum;

public enum AuditResultEnum {
  CUSTOMER_DELIVERY(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\001'), "enum.returnmodelenum.customerdelivery"),
  CANCEL_APPROVE(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\002'), "enum.ar.cancelapprove"),
  REJECT(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\003'), "enum.ar.noaccessapprove"),
  PICK_UP(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\004'), "enum.returnmodelenum.pickup"),
  NO_PICK_UP(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\005'), "enum.returnmodelenum.nopickup"),
  PL_PICKUP(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\006'), "enum.returnmodelenum.3plpickup"),
  REFUND_NO_PICKUP(Integer.valueOf(AfsServiceStatusEnum.READY_TO_APPROVE.getKey() + "" + '\b'), "enum.returnmodelenum.refundnopickup"),
  NO_COLLECT(Integer.valueOf(133), "enum.renewalenum.readytorenew"),
  MISSING_RENEW(Integer.valueOf(112), "enum.returnmodelenum.missingrenew"),
  FLASH_REFUND(Integer.valueOf(114), "enum.returnmodelenum.flashrefund"),
  DOOR_TO_DOOR_EXCHANGE(Integer.valueOf(116), "enum.returnmodelenum.doortodoorexchange"),
  AUDIT_INSTALL(Integer.valueOf(131), "enum.audit.install"),
  AUDIT_REPAIR(Integer.valueOf(132), "enum.audit.repair");
  
  private final Integer key;
  
  private final String i18nKey;
  
  AuditResultEnum(Integer key, String i18nKey) {
    this.key = key;
    this.i18nKey = i18nKey;
  }
  
  public Integer getKey() {
    return this.key;
  }
  
  public String getI18nKey() {
    return this.i18nKey;
  }
  
  public static String getI18nKey(Integer key) {
    for (jd.intl.asm.afs.domain.enums.AuditResultEnum temp : values()) {
      if (temp.getKey().equals(key))
        return temp.getI18nKey(); 
    } 
    return "";
  }
  
  public static Map<Integer, String> getI18nValues(ResourceBundle resourcesBundle) {
    Map<Integer, String> map = new HashMap<>();
    for (jd.intl.asm.afs.domain.enums.AuditResultEnum temp : (jd.intl.asm.afs.domain.enums.AuditResultEnum[])jd.intl.asm.afs.domain.enums.AuditResultEnum.class.getEnumConstants())
      map.put(temp.key, resourcesBundle.getString(temp.i18nKey)); 
    return map;
  }
  
  public static Map<Integer, String> getI18nKeys() {
    Map<Integer, String> map = new HashMap<>();
    for (jd.intl.asm.afs.domain.enums.AuditResultEnum temp : (jd.intl.asm.afs.domain.enums.AuditResultEnum[])jd.intl.asm.afs.domain.enums.AuditResultEnum.class.getEnumConstants())
      map.put(temp.key, temp.i18nKey); 
    return map;
  }
  
  public static List<jd.intl.asm.afs.domain.enums.AuditResultEnum> getI18nKeyList() {
    List<jd.intl.asm.afs.domain.enums.AuditResultEnum> list = new ArrayList<>();
    for (jd.intl.asm.afs.domain.enums.AuditResultEnum temp : (jd.intl.asm.afs.domain.enums.AuditResultEnum[])jd.intl.asm.afs.domain.enums.AuditResultEnum.class.getEnumConstants())
      list.add(temp); 
    return list;
  }
}
